Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/regress/sys/fs/tmpfs Make this test timezone-agnostic so tha...



details:   https://anonhg.NetBSD.org/src/rev/fc11b9898af0
branches:  trunk
changeset: 584546:fc11b9898af0
user:      jmmv <jmmv%NetBSD.org@localhost>
date:      Fri Sep 23 19:41:39 2005 +0000

description:
Make this test timezone-agnostic so that it works in different timezones.
Found by riz@.

diffstat:

 regress/sys/fs/tmpfs/t_setattr |  6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diffs (24 lines):

diff -r 96e49f26ce0b -r fc11b9898af0 regress/sys/fs/tmpfs/t_setattr
--- a/regress/sys/fs/tmpfs/t_setattr    Fri Sep 23 19:39:15 2005 +0000
+++ b/regress/sys/fs/tmpfs/t_setattr    Fri Sep 23 19:41:39 2005 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: t_setattr,v 1.2 2005/09/23 15:36:15 jmmv Exp $
+# $NetBSD: t_setattr,v 1.3 2005/09/23 19:41:39 jmmv Exp $
 #
 # Copyright (c) 2005 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -77,10 +77,10 @@
 
        test_name "File times can be changed"
        mkdir times || die
-       touch -t 200501010101 times || die
+       TZ=GMT touch -t 200501010101 times || die
        eval $(stat -s times)
        [ ${st_atime} = ${st_mtime} ] || die
-       [ ${st_atime} = 1104537660 ] || die
+       [ ${st_atime} = 1104541260 ] || die
 
        test_unmount
 }



Home | Main Index | Thread Index | Old Index